<!DOCTYPE html>
<html lang="en"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
      layout:decorate="~{layout}">
<head>
    <meta charset="UTF-8">
    <title>Title</title>
</head>
<body>
<div class="main-content" layout:fragment="main">
    <section class="section">
        <div class="section-header">
            <h1>Peminjaman Kendaraan</h1>
        </div>
        <div class="section-body">
            <div class="row">
                <div class="col-md-4">
                    <div class="card">
                        <div class="card-header">
                            <h4>Form Peminjaman Kendaraan</h4>
                            <div class="card-header-action">
                                <a th:href="@{/request/peminjamanSapras/listKendaraan}" class="btn btn-warning btn-sm">Kembali</a>
                            </div>
                        </div>
                        <div class="card-body">
                            <form method="get">
                                <div class="form-group">
                                    <label>Tujuan</label>
                                    <select name="tujuan" class="form-control" required id="" th:value="${tujuan}">
                                        <option value="" selected disabled>-- Pilih Tujuan --</option>
                                        <option value="dalam">Jabodetabek</option>
                                        <option value="luar">Luar Jabodetabek</option>
                                    </select>
                                </div>
                                <div class="form-group">
                                    <label>Keperluan</label>
                                    <input type="text" name="keperluan" required class="form-control" th:value="${keperluan}">
                                </div>
                                <div class="form-group">
                                    <label>Tanggal Pinjam</label>
                                    <input type="date" class="form-control" required name="tanggalPinjam" th:value="${tanggalPinjam}">
                                </div>
                                <div class="form-group">
                                    <button type="submit" class="btn btn-primary">Cari</button>
                                </div>
                            </form>
                        </div>
                    </div>
                </div>
                <div class="col-md-8" th:if="${tujuan != null}">
                    <div class="card">
                        <div class="card-header">
                            <h4>Hasil Data Pencarian</h4>
                        </div>
                        <div class="card-body">
                            <div class="table-responsive">
                                <table class="table table-striped">
                                    <thead>
                                    <tr>
                                        <th>#</th>
                                        <th>Mobil</th>
                                        <th>Plat</th>
                                        <th>Tarif</th>
                                        <th></th>
                                    </tr>
                                    </thead>
                                    <tbody>
                                    <tr th:each="dataMobil, row:${kendaraan}">
                                        <td th:text="${(row.index + 1)}"></td>
                                        <td th:text="${dataMobil.merek}"></td>
                                        <td th:text="${dataMobil.nomorPolisi}"></td>
                                        <td th:if="${tujuan == 'dalam'}" th:text="${'Rp. ' + #numbers.formatDecimal(dataMobil.tarif, 0, 'POINT', 2, 'COMMA')}"></td>
                                        <td th:if="${tujuan == 'luar'}" th:text="${'Rp. ' + #numbers.formatDecimal(dataMobil.tarifLuar, 0, 'POINT', 2, 'COMMA')}"></td>
                                        <td>
                                            <button th:if="${cek == 'kosong'}" class="btn btn-primary btn-sm" data-toggle="modal" th:data-target="${'#exampleModal' + dataMobil.id}">Pilih</button>
                                            <button th:if="${cek == 'ada' && dataMobil.id == text[1]}" class="btn btn-danger btn-sm" data-toggle="modal" th:data-target="${'#exampleModal' + dataMobil.id}">Tidak Tersedia</button>
                                            <button th:if="${cek == 'ada' && dataMobil.id != text[1]}" class="btn btn-primary btn-sm" data-toggle="modal" th:data-target="${'#exampleModal' + dataMobil.id}">Pilih</button>

                                            <div class="modal fade" th:id="${'exampleModal' + dataMobil.id}" data-backdrop="false" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
                                                <div class="modal-dialog modal-lg" role="document">
                                                    <form th:action="@{/request/peminjamanSapras/kendaraan}" method="post" enctype="multipart/form-data">
                                                        <div class="modal-content">
                                                            <div class="modal-header">
                                                                <h5 class="modal-title" id="exampleModalLabel">Form Peminjaman Kendaraan</h5>
                                                                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                                                    <span aria-hidden="true">&times;</span>
                                                                </button>
                                                            </div>
                                                            <div class="modal-body">
                                                                <div class="row">
                                                                    <div class="col-md-6">
                                                                        <div class="form-group">
                                                                            <label>Mobil</label>
                                                                            <input type="text" th:value="${dataMobil.merek}" class="form-control" readonly>
                                                                        </div>
                                                                    </div>
                                                                    <div class="col-md-6">
                                                                        <div class="form-group">
                                                                            <label>Plat Mobil</label>
                                                                            <input type="text" th:value="${dataMobil.nomorPolisi}" class="form-control" readonly>
                                                                        </div>
                                                                    </div>
                                                                </div>
                                                                <div class="form-group">
                                                                    <label>Tujuan</label>
                                                                    <input th:if="${tujuan == 'dalam'}" type="text" name="tujuan" readonly class="form-control" th:value="${'Jabodetabek'}">
                                                                    <input th:if="${tujuan == 'luar'}" type="text" name="tujuan" readonly class="form-control" th:value="${'Luar Jabodetabek'}">
                                                                    <input type="hidden" name="idMobil" th:value="${dataMobil.id}">
                                                                </div>
                                                                <div class="form-group">
                                                                    <label>Keperluan</label>
                                                                    <input type="text" name="keperluan" readonly class="form-control" th:value="${keperluan}">
                                                                </div>
                                                                <div class="form-group">
                                                                    <label>Tanggal Pinjam</label>
                                                                    <input type="date" class="form-control" readonly name="tanggalPinjam" th:value="${tanggalPinjam}">
                                                                </div>
                                                                <div class="form-group">
                                                                    <label>Tarif</label>
                                                                    <input type="text" th:if="${tujuan == 'dalam'}" name="tarif" class="form-control" readonly th:value="${'Rp. ' + #numbers.formatDecimal(dataMobil.tarif, 0, 'POINT', 2, 'COMMA')}">
                                                                    <input type="text" th:if="${tujuan == 'luar'}" name="tarif" class="form-control" readonly th:value="${'Rp. ' + #numbers.formatDecimal(dataMobil.tarifLuar, 0, 'POINT', 2, 'COMMA')}">
                                                                </div>
                                                                <div class="form-group">
                                                                    <label>Lampiran</label>
                                                                    <input type="file" name="image" class="form-control">
                                                                </div>
                                                                <div class="form-group">
                                                                    <div class="row">
                                                                        <div class="col-md-6">
                                                                            <label style="color: #0a0a0b; font-size: 12px;">Waktu Berangkat</label>
                                                                            <input type="time" class="form-control" required name="waktuBerangkat">
                                                                        </div>
                                                                        <div class="col-md-6">
                                                                            <label style="color: #0a0a0b; font-size: 12px;">Waktu Pulang <span style="color: red; font-size: 10px;">*(Perkiraan)</span></label>
                                                                            <input type="time" class="form-control" required name="waktuPulang">
                                                                        </div>
                                                                    </div>
                                                                </div>
                                                            </div>
                                                            <div class="modal-footer">
                                                                <button type="button" class="btn btn-secondary" data-dismiss="modal">Tutup</button>
                                                                <button type="submit" class="btn btn-primary">Ajukan</button>
                                                            </div>
                                                        </div>
                                                    </form>
                                                </div>
                                            </div>
                                        </td>

                                    </tr>
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>
</div>
</body>
</html>